Bug 1250929 - Review Request: python-XStatic-Angular-Gettext - Angular-Gettext (XStatic packaging standard)
Review Request: python-XStatic-Angular-Gettext - Angular-Gettext (XStatic pac...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
: 1251278 (view as bug list)
Depends On:
Blocks: RDO-LIBERTY-REVIEWS
  Show dependency treegraph
 
Reported: 2015-08-06 06:21 EDT by Matthias Runge
Modified: 2015-08-19 04:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-XStatic-Angular-Gettext-2.1.0.2-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-19 04:19:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
karlthered: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2015-08-06 06:21:13 EDT
Spec URL: http://www.matthias-runge.de/fedora/python-XStatic-Angular-Gettext.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-XStatic-Angular-Gettext-2.1.0.2-1.fc22.src.rpm
Description: Angular-Gettext javascript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.
Fedora Account System Username: mrunge
Comment 1 Haïkel Guémar 2015-08-07 03:17:47 EDT
*** Bug 1251278 has been marked as a duplicate of this bug. ***
Comment 2 Haïkel Guémar 2015-08-07 03:27:17 EDT
Since this package complies with Fedora packaging guidelines, I hereby approve
it into Fedora Packages Collection, please submit a SCM request.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 3 files have unknown license. Detailed
     output of licensecheck in /home/haikel/1250929-python-XStatic-Angular-
     Gettext/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python2.7/site-packages/xstatic/pkg
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python2.7/site-
     packages/xstatic/pkg
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-XStatic-Angular-Gettext-2.1.0.2-1.fc24.noarch.rpm
          python-XStatic-Angular-Gettext-2.1.0.2-1.fc24.src.rpm
python-XStatic-Angular-Gettext.noarch: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, footstools
python-XStatic-Angular-Gettext.src: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript
python-XStatic-Angular-Gettext.src: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, footstools
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python-XStatic-Angular-Gettext (rpmlib, GLIBC filtered):
    python(abi)
    python-XStatic
    web-assets-filesystem



Provides
--------
python-XStatic-Angular-Gettext:
    python-XStatic-Angular-Gettext
    python2-XStatic-Angular-Gettext



Source checksums
----------------
https://pypi.python.org/packages/source/X/XStatic-Angular-Gettext/XStatic-Angular-Gettext-2.1.0.2.tar.gz :
  CHECKSUM(SHA256) this package     : c0745f433bb2f87d8222cdd65690c9089f5128c736309c3bc8d689aec39fa493
  CHECKSUM(SHA256) upstream package : c0745f433bb2f87d8222cdd65690c9089f5128c736309c3bc8d689aec39fa493
Comment 3 Matthias Runge 2015-08-07 03:35:22 EDT
New Package SCM Request
=======================
Package Name: python-XStatic-Angular-Gettext
Short Description: Angular-Gettext (XStatic packaging standard)
Upstream URL: https://angular-gettext.rocketeer.be/
Owners: mrunge
Branches: f22 f23 epel7
Comment 4 Gwyn Ciesla 2015-08-07 09:28:43 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2015-08-07 15:38:08 EDT
python-XStatic-Angular-Gettext-2.1.0.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-XStatic-Angular-Gettext-2.1.0.2-1.fc22
Comment 6 Fedora Update System 2015-08-07 15:45:19 EDT
python-XStatic-Angular-Gettext-2.1.0.2-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-XStatic-Angular-Gettext-2.1.0.2-1.el7
Comment 7 Fedora Update System 2015-08-08 16:04:40 EDT
python-XStatic-Angular-Gettext-2.1.0.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository.
Comment 8 Fedora Update System 2015-08-19 04:19:41 EDT
python-XStatic-Angular-Gettext-2.1.0.2-1.fc22 has been pushed to the Fedora 22 stable repository.

Note You need to log in before you can comment on or make changes to this bug.